## output-selector output-selector — 1-to-N output stream selectoring |

## Synopsis

                        GstOutputSelector;

## Properties

      "active-pad"               GstPad*               : Read / Write
      "resend-latest"            gboolean              : Read / Write

## Description

Direct input stream to one out of N output pads.

## Details

### GstOutputSelector

    typedef struct {
      GstElement element;

      GstPad *sinkpad;

      GstPad *active_srcpad;
      GstPad *pending_srcpad;
      guint nb_srcpads;

      GstSegment segment;

      /* resend latest buffer after switch */
      gboolean resend_latest;
      GstBuffer *latest_buffer;
    } GstOutputSelector;

## Property Details

### The `"active-pad"` property

      "active-pad"               GstPad*               : Read / Write

Currently active src pad.

### The `"resend-latest"` property

      "resend-latest"            gboolean              : Read / Write

Resend latest buffer after a switch to a new pad.

Default value: FALSE

## See Also

GstOutputSelector, GstInputSelector